E-MailRelay

Classes | Namespaces
gsecrets.h File Reference
`#include "gdef.h"`
`#include "gsaslserversecrets.h"`
`#include "gsaslclientsecrets.h"`
`#include "gsecretsfile.h"`
`#include "gexception.h"`
`#include "gpath.h"`
`#include "gstringview.h"`
`#include <memory>`
`#include <utility>`
`#include <string>`
Include dependency graph for gsecrets.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | GAuth::Secrets
| Provides factory functions for client and server secrets objects. More...
class | GAuth::SecretsFileClient
| A thin adapter between GAuth::SecretsFile and GAuth::SaslClientSecrets returned by GAuth::Secrets::newClientSecrets(). More...
class | GAuth::SecretsFileServer
| A thin adapter between GAuth::SecretsFile and GAuth::SaslServerSecrets returned by GAuth::Secrets::newServerSecrets(). More...

## Namespaces
namespace | GAuth
| SASL authentication classes.